OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.EXT.DirectStateAccess

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTDirectStateAccess :: MonadIO m => m Bool
- gl_EXT_direct_state_access :: Bool
- pattern GL_PROGRAM_MATRIX_EXT :: GLenum
- pattern GL_PROGRAM_MATRIX_STACK_DEPTH_EXT :: GLenum
- pattern GL_TRANSPOSE_PROGRAM_MATRIX_EXT :: GLenum
- glBindMultiTextureEXT :: MonadIO m => GLenum -> GLenum -> GLuint -> m ()
- glCheckNamedFramebufferStatusEXT :: MonadIO m => GLuint -> GLenum -> m GLenum
- glClearNamedBufferDataEXT :: MonadIO m => GLuint -> GLenum -> GLenum -> GLenum -> Ptr a -> m ()
- glClearNamedBufferSubDataEXT :: MonadIO m => GLuint -> GLenum -> GLsizeiptr -> GLsizeiptr -> GLenum -> GLenum -> Ptr a -> m ()
- glClientAttribDefaultEXT :: MonadIO m => GLbitfield -> m ()
- glCompressedMultiTexImage1DEXT :: MonadIO m => GLenum -> GLenum -> GLint -> GLenum -> GLsizei -> GLint -> GLsizei -> Ptr a -> m ()
- glCompressedMultiTexImage2DEXT :: MonadIO m => GLenum -> GLenum -> GLint -> GLenum -> GLsizei -> GLsizei -> GLint -> GLsizei -> Ptr a -> m ()
- glCompressedMultiTexImage3DEXT :: MonadIO m => GLenum -> GLenum -> GLint -> GLenum -> GLsizei -> GLsizei -> GLsizei -> GLint -> GLsizei -> Ptr a -> m ()
- glCompressedMultiTexSubImage1DEXT :: MonadIO m => GLenum -> GLenum -> GLint -> GLint -> GLsizei -> GLenum -> GLsizei -> Ptr a -> m ()
- glCompressedMultiTexSubImage2DEXT :: MonadIO m => GLenum -> GLenum -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> GLenum -> GLsizei -> Ptr a -> m ()
- glCompressedMultiTexSubImage3DEXT :: MonadIO m => GLenum -> GLenum -> GLint -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> GLsizei -> GLenum -> GLsizei -> Ptr a -> m ()
- glCompressedTextureImage1DEXT :: MonadIO m => GLuint -> GLenum -> GLint -> GLenum -> GLsizei -> GLint -> GLsizei -> Ptr a -> m ()
- glCompressedTextureImage2DEXT :: MonadIO m => GLuint -> GLenum -> GLint -> GLenum -> GLsizei -> GLsizei -> GLint -> GLsizei -> Ptr a -> m ()
- glCompressedTextureImage3DEXT :: MonadIO m => GLuint -> GLenum -> GLint -> GLenum -> GLsizei -> GLsizei -> GLsizei -> GLint -> GLsizei -> Ptr a -> m ()
- glCompressedTextureSubImage1DEXT :: MonadIO m => GLuint -> GLenum -> GLint -> GLint -> GLsizei -> GLenum -> GLsizei -> Ptr a -> m ()
- glCompressedTextureSubImage2DEXT :: MonadIO m => GLuint -> GLenum -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> GLenum -> GLsizei -> Ptr a -> m ()
- glCompressedTextureSubImage3DEXT :: MonadIO m => GLuint -> GLenum -> GLint -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> GLsizei -> GLenum -> GLsizei -> Ptr a -> m ()
- glCopyMultiTexImage1DEXT :: MonadIO m => GLenum -> GLenum -> GLint -> GLenum -> GLint -> GLint -> GLsizei -> GLint -> m ()
- glCopyMultiTexImage2DEXT :: MonadIO m => GLenum -> GLenum -> GLint -> GLenum -> GLint -> GLint -> GLsizei -> GLsizei -> GLint -> m ()
- glCopyMultiTexSubImage1DEXT :: MonadIO m => GLenum -> GLenum -> GLint -> GLint -> GLint -> GLint -> GLsizei -> m ()
- glCopyMultiTexSubImage2DEXT :: MonadIO m => GLenum -> GLenum -> GLint -> GLint -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> m ()
- glCopyMultiTexSubImage3DEXT :: MonadIO m => GLenum -> GLenum -> GLint -> GLint -> GLint -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> m ()
- glCopyTextureImage1DEXT :: MonadIO m => GLuint -> GLenum -> GLint -> GLenum -> GLint -> GLint -> GLsizei -> GLint -> m ()
- glCopyTextureImage2DEXT :: MonadIO m => GLuint -> GLenum -> GLint -> GLenum -> GLint -> GLint -> GLsizei -> GLsizei -> GLint -> m ()
- glCopyTextureSubImage1DEXT :: MonadIO m => GLuint -> GLenum -> GLint -> GLint -> GLint -> GLint -> GLsizei -> m ()
- glCopyTextureSubImage2DEXT :: MonadIO m => GLuint -> GLenum -> GLint -> GLint -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> m ()
- glCopyTextureSubImage3DEXT :: MonadIO m => GLuint -> GLenum -> GLint -> GLint -> GLint -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> m ()
- glDisableClientStateIndexedEXT :: MonadIO m => GLenum -> GLuint -> m ()
- glDisableClientStateiEXT :: MonadIO m => GLenum -> GLuint -> m ()
- glDisableIndexedEXT :: MonadIO m => GLenum -> GLuint -> m ()
- glDisableVertexArrayAttribEXT :: MonadIO m => GLuint -> GLuint -> m ()
- glDisableVertexArrayEXT :: MonadIO m => GLuint -> GLenum -> m ()
- glEnableClientStateIndexedEXT :: MonadIO m => GLenum -> GLuint -> m ()
- glEnableClientStateiEXT :: MonadIO m => GLenum -> GLuint -> m ()
- glEnableIndexedEXT :: MonadIO m => GLenum -> GLuint -> m ()
- glEnableVertexArrayAttribEXT :: MonadIO m => GLuint -> GLuint -> m ()
- glEnableVertexArrayEXT :: MonadIO m => GLuint -> GLenum -> m ()
- glFlushMappedNamedBufferRangeEXT :: MonadIO m => GLuint -> GLintptr -> GLsizeiptr -> m ()
- glFramebufferDrawBufferEXT :: MonadIO m => GLuint -> GLenum -> m ()
- glFramebufferDrawBuffersEXT :: MonadIO m => GLuint -> GLsizei -> Ptr GLenum -> m ()
- glFramebufferReadBufferEXT :: MonadIO m => GLuint -> GLenum -> m ()
- glGenerateMultiTexMipmapEXT :: MonadIO m => GLenum -> GLenum -> m ()
- glGenerateTextureMipmapEXT :: MonadIO m => GLuint -> GLenum -> m ()
- glGetBooleanIndexedvEXT :: MonadIO m => GLenum -> GLuint -> Ptr GLboolean -> m ()
- glGetCompressedMultiTexImageEXT :: MonadIO m => GLenum -> GLenum -> GLint -> Ptr a -> m ()
- glGetCompressedTextureImageEXT :: MonadIO m => GLuint -> GLenum -> GLint -> Ptr a -> m ()
- glGetDoubleIndexedvEXT :: MonadIO m => GLenum -> GLuint -> Ptr GLdouble -> m ()
- glGetDoublei_vEXT :: MonadIO m => GLenum -> GLuint -> Ptr GLdouble -> m ()
- glGetFloatIndexedvEXT :: MonadIO m => GLenum -> GLuint -> Ptr GLfloat -> m ()
- glGetFloati_vEXT :: MonadIO m => GLenum -> GLuint -> Ptr GLfloat -> m ()
- glGetFramebufferParameterivEXT :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glGetIntegerIndexedvEXT :: MonadIO m => GLenum -> GLuint -> Ptr GLint -> m ()
- glGetMultiTexEnvfvEXT :: MonadIO m => GLenum -> GLenum -> GLenum -> Ptr GLfloat -> m ()
- glGetMultiTexEnvivEXT :: MonadIO m => GLenum -> GLenum -> GLenum -> Ptr GLint -> m ()
- glGetMultiTexGendvEXT :: MonadIO m => GLenum -> GLenum -> GLenum -> Ptr GLdouble -> m ()
- glGetMultiTexGenfvEXT :: MonadIO m => GLenum -> GLenum -> GLenum -> Ptr GLfloat -> m ()
- glGetMultiTexGenivEXT :: MonadIO m => GLenum -> GLenum -> GLenum -> Ptr GLint -> m ()
- glGetMultiTexImageEXT :: MonadIO m => GLenum -> GLenum -> GLint -> GLenum -> GLenum -> Ptr a -> m ()
- glGetMultiTexLevelParameterfvEXT :: MonadIO m => GLenum -> GLenum -> GLint -> GLenum -> Ptr GLfloat -> m ()
- glGetMultiTexLevelParameterivEXT :: MonadIO m => GLenum -> GLenum -> GLint -> GLenum -> Ptr GLint -> m ()
- glGetMultiTexParameterIivEXT :: MonadIO m => GLenum -> GLenum -> GLenum -> Ptr GLint -> m ()
- glGetMultiTexParameterIuivEXT :: MonadIO m => GLenum -> GLenum -> GLenum -> Ptr GLuint -> m ()
- glGetMultiTexParameterfvEXT :: MonadIO m => GLenum -> GLenum -> GLenum -> Ptr GLfloat -> m ()
- glGetMultiTexParameterivEXT :: MonadIO m => GLenum -> GLenum -> GLenum -> Ptr GLint -> m ()
- glGetNamedBufferParameterivEXT :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glGetNamedBufferPointervEXT :: MonadIO m => GLuint -> GLenum -> Ptr (Ptr a) -> m ()
- glGetNamedBufferSubDataEXT :: MonadIO m => GLuint -> GLintptr -> GLsizeiptr -> Ptr a -> m ()
- glGetNamedFramebufferAttachmentParameterivEXT :: MonadIO m => GLuint -> GLenum -> GLenum -> Ptr GLint -> m ()
- glGetNamedFramebufferParameterivEXT :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glGetNamedProgramLocalParameterIivEXT :: MonadIO m => GLuint -> GLenum -> GLuint -> Ptr GLint -> m ()
- glGetNamedProgramLocalParameterIuivEXT :: MonadIO m => GLuint -> GLenum -> GLuint -> Ptr GLuint -> m ()
- glGetNamedProgramLocalParameterdvEXT :: MonadIO m => GLuint -> GLenum -> GLuint -> Ptr GLdouble -> m ()
- glGetNamedProgramLocalParameterfvEXT :: MonadIO m => GLuint -> GLenum -> GLuint -> Ptr GLfloat -> m ()
- glGetNamedProgramStringEXT :: MonadIO m => GLuint -> GLenum -> GLenum -> Ptr a -> m ()
- glGetNamedProgramivEXT :: MonadIO m => GLuint -> GLenum -> GLenum -> Ptr GLint -> m ()
- glGetNamedRenderbufferParameterivEXT :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glGetPointerIndexedvEXT :: MonadIO m => GLenum -> GLuint -> Ptr (Ptr a) -> m ()
- glGetPointeri_vEXT :: MonadIO m => GLenum -> GLuint -> Ptr (Ptr a) -> m ()
- glGetTextureImageEXT :: MonadIO m => GLuint -> GLenum -> GLint -> GLenum -> GLenum -> Ptr a -> m ()
- glGetTextureLevelParameterfvEXT :: MonadIO m => GLuint -> GLenum -> GLint -> GLenum -> Ptr GLfloat -> m ()
- glGetTextureLevelParameterivEXT :: MonadIO m => GLuint -> GLenum -> GLint -> GLenum -> Ptr GLint -> m ()
- glGetTextureParameterIivEXT :: MonadIO m => GLuint -> GLenum -> GLenum -> Ptr GLint -> m ()
- glGetTextureParameterIuivEXT :: MonadIO m => GLuint -> GLenum -> GLenum -> Ptr GLuint -> m ()
- glGetTextureParameterfvEXT :: MonadIO m => GLuint -> GLenum -> GLenum -> Ptr GLfloat -> m ()
- glGetTextureParameterivEXT :: MonadIO m => GLuint -> GLenum -> GLenum -> Ptr GLint -> m ()
- glGetVertexArrayIntegeri_vEXT :: MonadIO m => GLuint -> GLuint -> GLenum -> Ptr GLint -> m ()
- glGetVertexArrayIntegervEXT :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glGetVertexArrayPointeri_vEXT :: MonadIO m => GLuint -> GLuint -> GLenum -> Ptr (Ptr a) -> m ()
- glGetVertexArrayPointervEXT :: MonadIO m => GLuint -> GLenum -> Ptr (Ptr a) -> m ()
- glIsEnabledIndexedEXT :: MonadIO m => GLenum -> GLuint -> m GLboolean
- glMapNamedBufferEXT :: MonadIO m => GLuint -> GLenum -> m (Ptr a)
- glMapNamedBufferRangeEXT :: MonadIO m => GLuint -> GLintptr -> GLsizeiptr -> GLbitfield -> m (Ptr a)
- glMatrixFrustumEXT :: MonadIO m => GLenum -> GLdouble -> GLdouble -> GLdouble -> GLdouble -> GLdouble -> GLdouble -> m ()
- glMatrixLoadIdentityEXT :: MonadIO m => GLenum -> m ()
- glMatrixLoadTransposedEXT :: MonadIO m => GLenum -> Ptr GLdouble -> m ()
- glMatrixLoadTransposefEXT :: MonadIO m => GLenum -> Ptr GLfloat -> m ()
- glMatrixLoaddEXT :: MonadIO m => GLenum -> Ptr GLdouble -> m ()
- glMatrixLoadfEXT :: MonadIO m => GLenum -> Ptr GLfloat -> m ()
- glMatrixMultTransposedEXT :: MonadIO m => GLenum -> Ptr GLdouble -> m ()
- glMatrixMultTransposefEXT :: MonadIO m => GLenum -> Ptr GLfloat -> m ()
- glMatrixMultdEXT :: MonadIO m => GLenum -> Ptr GLdouble -> m ()
- glMatrixMultfEXT :: MonadIO m => GLenum -> Ptr GLfloat -> m ()
- glMatrixOrthoEXT :: MonadIO m => GLenum -> GLdouble -> GLdouble -> GLdouble -> GLdouble -> GLdouble -> GLdouble -> m ()
- glMatrixPopEXT :: MonadIO m => GLenum -> m ()
- glMatrixPushEXT :: MonadIO m => GLenum -> m ()
- glMatrixRotatedEXT :: MonadIO m => GLenum -> GLdouble -> GLdouble -> GLdouble -> GLdouble -> m ()
- glMatrixRotatefEXT :: MonadIO m => GLenum -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glMatrixScaledEXT :: MonadIO m => GLenum -> GLdouble -> GLdouble -> GLdouble -> m ()
- glMatrixScalefEXT :: MonadIO m => GLenum -> GLfloat -> GLfloat -> GLfloat -> m ()
- glMatrixTranslatedEXT :: MonadIO m => GLenum -> GLdouble -> GLdouble -> GLdouble -> m ()
- glMatrixTranslatefEXT :: MonadIO m => GLenum -> GLfloat -> GLfloat -> GLfloat -> m ()
- glMultiTexBufferEXT :: MonadIO m => GLenum -> GLenum -> GLenum -> GLuint -> m ()
- glMultiTexCoordPointerEXT :: MonadIO m => GLenum -> GLint -> GLenum -> GLsizei -> Ptr a -> m ()
- glMultiTexEnvfEXT :: MonadIO m => GLenum -> GLenum -> GLenum -> GLfloat -> m ()
- glMultiTexEnvfvEXT :: MonadIO m => GLenum -> GLenum -> GLenum -> Ptr GLfloat -> m ()
- glMultiTexEnviEXT :: MonadIO m => GLenum -> GLenum -> GLenum -> GLint -> m ()
- glMultiTexEnvivEXT :: MonadIO m => GLenum -> GLenum -> GLenum -> Ptr GLint -> m ()
- glMultiTexGendEXT :: MonadIO m => GLenum -> GLenum -> GLenum -> GLdouble -> m ()
- glMultiTexGendvEXT :: MonadIO m => GLenum -> GLenum -> GLenum -> Ptr GLdouble -> m ()
- glMultiTexGenfEXT :: MonadIO m => GLenum -> GLenum -> GLenum -> GLfloat -> m ()
- glMultiTexGenfvEXT :: MonadIO m => GLenum -> GLenum -> GLenum -> Ptr GLfloat -> m ()
- glMultiTexGeniEXT :: MonadIO m => GLenum -> GLenum -> GLenum -> GLint -> m ()
- glMultiTexGenivEXT :: MonadIO m => GLenum -> GLenum -> GLenum -> Ptr GLint -> m ()
- glMultiTexImage1DEXT :: MonadIO m => GLenum -> GLenum -> GLint -> GLint -> GLsizei -> GLint -> GLenum -> GLenum -> Ptr a -> m ()
- glMultiTexImage2DEXT :: MonadIO m => GLenum -> GLenum -> GLint -> GLint -> GLsizei -> GLsizei -> GLint -> GLenum -> GLenum -> Ptr a -> m ()
- glMultiTexImage3DEXT :: MonadIO m => GLenum -> GLenum -> GLint -> GLint -> GLsizei -> GLsizei -> GLsizei -> GLint -> GLenum -> GLenum -> Ptr a -> m ()
- glMultiTexParameterIivEXT :: MonadIO m => GLenum -> GLenum -> GLenum -> Ptr GLint -> m ()
- glMultiTexParameterIuivEXT :: MonadIO m => GLenum -> GLenum -> GLenum -> Ptr GLuint -> m ()
- glMultiTexParameterfEXT :: MonadIO m => GLenum -> GLenum -> GLenum -> GLfloat -> m ()
- glMultiTexParameterfvEXT :: MonadIO m => GLenum -> GLenum -> GLenum -> Ptr GLfloat -> m ()
- glMultiTexParameteriEXT :: MonadIO m => GLenum -> GLenum -> GLenum -> GLint -> m ()
- glMultiTexParameterivEXT :: MonadIO m => GLenum -> GLenum -> GLenum -> Ptr GLint -> m ()
- glMultiTexRenderbufferEXT :: MonadIO m => GLenum -> GLenum -> GLuint -> m ()
- glMultiTexSubImage1DEXT :: MonadIO m => GLenum -> GLenum -> GLint -> GLint -> GLsizei -> GLenum -> GLenum -> Ptr a -> m ()
- glMultiTexSubImage2DEXT :: MonadIO m => GLenum -> GLenum -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> GLenum -> GLenum -> Ptr a -> m ()
- glMultiTexSubImage3DEXT :: MonadIO m => GLenum -> GLenum -> GLint -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> GLsizei -> GLenum -> GLenum -> Ptr a -> m ()
- glNamedBufferDataEXT :: MonadIO m => GLuint -> GLsizeiptr -> Ptr a -> GLenum -> m ()
- glNamedBufferStorageEXT :: MonadIO m => GLuint -> GLsizeiptr -> Ptr a -> GLbitfield -> m ()
- glNamedBufferSubDataEXT :: MonadIO m => GLuint -> GLintptr -> GLsizeiptr -> Ptr a -> m ()
- glNamedCopyBufferSubDataEXT :: MonadIO m => GLuint -> GLuint -> GLintptr -> GLintptr -> GLsizeiptr -> m ()
- glNamedFramebufferParameteriEXT :: MonadIO m => GLuint -> GLenum -> GLint -> m ()
- glNamedFramebufferRenderbufferEXT :: MonadIO m => GLuint -> GLenum -> GLenum -> GLuint -> m ()
- glNamedFramebufferTexture1DEXT :: MonadIO m => GLuint -> GLenum -> GLenum -> GLuint -> GLint -> m ()
- glNamedFramebufferTexture2DEXT :: MonadIO m => GLuint -> GLenum -> GLenum -> GLuint -> GLint -> m ()
- glNamedFramebufferTexture3DEXT :: MonadIO m => GLuint -> GLenum -> GLenum -> GLuint -> GLint -> GLint -> m ()
- glNamedFramebufferTextureEXT :: MonadIO m => GLuint -> GLenum -> GLuint -> GLint -> m ()
- glNamedFramebufferTextureFaceEXT :: MonadIO m => GLuint -> GLenum -> GLuint -> GLint -> GLenum -> m ()
- glNamedFramebufferTextureLayerEXT :: MonadIO m => GLuint -> GLenum -> GLuint -> GLint -> GLint -> m ()
- glNamedProgramLocalParameter4dEXT :: MonadIO m => GLuint -> GLenum -> GLuint -> GLdouble -> GLdouble -> GLdouble -> GLdouble -> m ()
- glNamedProgramLocalParameter4dvEXT :: MonadIO m => GLuint -> GLenum -> GLuint -> Ptr GLdouble -> m ()
- glNamedProgramLocalParameter4fEXT :: MonadIO m => GLuint -> GLenum -> GLuint -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glNamedProgramLocalParameter4fvEXT :: MonadIO m => GLuint -> GLenum -> GLuint -> Ptr GLfloat -> m ()
- glNamedProgramLocalParameterI4iEXT :: MonadIO m => GLuint -> GLenum -> GLuint -> GLint -> GLint -> GLint -> GLint -> m ()
- glNamedProgramLocalParameterI4ivEXT :: MonadIO m => GLuint -> GLenum -> GLuint -> Ptr GLint -> m ()
- glNamedProgramLocalParameterI4uiEXT :: MonadIO m => GLuint -> GLenum -> GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> m ()
- glNamedProgramLocalParameterI4uivEXT :: MonadIO m => GLuint -> GLenum -> GLuint -> Ptr GLuint -> m ()
- glNamedProgramLocalParameters4fvEXT :: MonadIO m => GLuint -> GLenum -> GLuint -> GLsizei -> Ptr GLfloat -> m ()
- glNamedProgramLocalParametersI4ivEXT :: MonadIO m => GLuint -> GLenum -> GLuint -> GLsizei -> Ptr GLint -> m ()
- glNamedProgramLocalParametersI4uivEXT :: MonadIO m => GLuint -> GLenum -> GLuint -> GLsizei -> Ptr GLuint -> m ()
- glNamedProgramStringEXT :: MonadIO m => GLuint -> GLenum -> GLenum -> GLsizei -> Ptr a -> m ()
- glNamedRenderbufferStorageEXT :: MonadIO m => GLuint -> GLenum -> GLsizei -> GLsizei -> m ()
- glNamedRenderbufferStorageMultisampleCoverageEXT :: MonadIO m => GLuint -> GLsizei -> GLsizei -> GLenum -> GLsizei -> GLsizei -> m ()
- glNamedRenderbufferStorageMultisampleEXT :: MonadIO m => GLuint -> GLsizei -> GLenum -> GLsizei -> GLsizei -> m ()
- glProgramUniform1dEXT :: MonadIO m => GLuint -> GLint -> GLdouble -> m ()
- glProgramUniform1dvEXT :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLdouble -> m ()
- glProgramUniform1fEXT :: MonadIO m => GLuint -> GLint -> GLfloat -> m ()
- glProgramUniform1fvEXT :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLfloat -> m ()
- glProgramUniform1iEXT :: MonadIO m => GLuint -> GLint -> GLint -> m ()
- glProgramUniform1ivEXT :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLint -> m ()
- glProgramUniform1uiEXT :: MonadIO m => GLuint -> GLint -> GLuint -> m ()
- glProgramUniform1uivEXT :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLuint -> m ()
- glProgramUniform2dEXT :: MonadIO m => GLuint -> GLint -> GLdouble -> GLdouble -> m ()
- glProgramUniform2dvEXT :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLdouble -> m ()
- glProgramUniform2fEXT :: MonadIO m => GLuint -> GLint -> GLfloat -> GLfloat -> m ()
- glProgramUniform2fvEXT :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLfloat -> m ()
- glProgramUniform2iEXT :: MonadIO m => GLuint -> GLint -> GLint -> GLint -> m ()
- glProgramUniform2ivEXT :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLint -> m ()
- glProgramUniform2uiEXT :: MonadIO m => GLuint -> GLint -> GLuint -> GLuint -> m ()
- glProgramUniform2uivEXT :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLuint -> m ()
- glProgramUniform3dEXT :: MonadIO m => GLuint -> GLint -> GLdouble -> GLdouble -> GLdouble -> m ()
- glProgramUniform3dvEXT :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLdouble -> m ()
- glProgramUniform3fEXT :: MonadIO m => GLuint -> GLint -> GLfloat -> GLfloat -> GLfloat -> m ()
- glProgramUniform3fvEXT :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLfloat -> m ()
- glProgramUniform3iEXT :: MonadIO m => GLuint -> GLint -> GLint -> GLint -> GLint -> m ()
- glProgramUniform3ivEXT :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLint -> m ()
- glProgramUniform3uiEXT :: MonadIO m => GLuint -> GLint -> GLuint -> GLuint -> GLuint -> m ()
- glProgramUniform3uivEXT :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLuint -> m ()
- glProgramUniform4dEXT :: MonadIO m => GLuint -> GLint -> GLdouble -> GLdouble -> GLdouble -> GLdouble -> m ()
- glProgramUniform4dvEXT :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLdouble -> m ()
- glProgramUniform4fEXT :: MonadIO m => GLuint -> GLint -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glProgramUniform4fvEXT :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLfloat -> m ()
- glProgramUniform4iEXT :: MonadIO m => GLuint -> GLint -> GLint -> GLint -> GLint -> GLint -> m ()
- glProgramUniform4ivEXT :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLint -> m ()
- glProgramUniform4uiEXT :: MonadIO m => GLuint -> GLint -> GLuint -> GLuint -> GLuint -> GLuint -> m ()
- glProgramUniform4uivEXT :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLuint -> m ()
- glProgramUniformMatrix2dvEXT :: MonadIO m => GLuint -> GLint -> GLsizei -> GLboolean -> Ptr GLdouble -> m ()
- glProgramUniformMatrix2fvEXT :: MonadIO m => GLuint -> GLint -> GLsizei -> GLboolean -> Ptr GLfloat -> m ()
- glProgramUniformMatrix2x3dvEXT :: MonadIO m => GLuint -> GLint -> GLsizei -> GLboolean -> Ptr GLdouble -> m ()
- glProgramUniformMatrix2x3fvEXT :: MonadIO m => GLuint -> GLint -> GLsizei -> GLboolean -> Ptr GLfloat -> m ()
- glProgramUniformMatrix2x4dvEXT :: MonadIO m => GLuint -> GLint -> GLsizei -> GLboolean -> Ptr GLdouble -> m ()
- glProgramUniformMatrix2x4fvEXT :: MonadIO m => GLuint -> GLint -> GLsizei -> GLboolean -> Ptr GLfloat -> m ()
- glProgramUniformMatrix3dvEXT :: MonadIO m => GLuint -> GLint -> GLsizei -> GLboolean -> Ptr GLdouble -> m ()
- glProgramUniformMatrix3fvEXT :: MonadIO m => GLuint -> GLint -> GLsizei -> GLboolean -> Ptr GLfloat -> m ()
- glProgramUniformMatrix3x2dvEXT :: MonadIO m => GLuint -> GLint -> GLsizei -> GLboolean -> Ptr GLdouble -> m ()
- glProgramUniformMatrix3x2fvEXT :: MonadIO m => GLuint -> GLint -> GLsizei -> GLboolean -> Ptr GLfloat -> m ()
- glProgramUniformMatrix3x4dvEXT :: MonadIO m => GLuint -> GLint -> GLsizei -> GLboolean -> Ptr GLdouble -> m ()
- glProgramUniformMatrix3x4fvEXT :: MonadIO m => GLuint -> GLint -> GLsizei -> GLboolean -> Ptr GLfloat -> m ()
- glProgramUniformMatrix4dvEXT :: MonadIO m => GLuint -> GLint -> GLsizei -> GLboolean -> Ptr GLdouble -> m ()
- glProgramUniformMatrix4fvEXT :: MonadIO m => GLuint -> GLint -> GLsizei -> GLboolean -> Ptr GLfloat -> m ()
- glProgramUniformMatrix4x2dvEXT :: MonadIO m => GLuint -> GLint -> GLsizei -> GLboolean -> Ptr GLdouble -> m ()
- glProgramUniformMatrix4x2fvEXT :: MonadIO m => GLuint -> GLint -> GLsizei -> GLboolean -> Ptr GLfloat -> m ()
- glProgramUniformMatrix4x3dvEXT :: MonadIO m => GLuint -> GLint -> GLsizei -> GLboolean -> Ptr GLdouble -> m ()
- glProgramUniformMatrix4x3fvEXT :: MonadIO m => GLuint -> GLint -> GLsizei -> GLboolean -> Ptr GLfloat -> m ()
- glPushClientAttribDefaultEXT :: MonadIO m => GLbitfield -> m ()
- glTextureBufferEXT :: MonadIO m => GLuint -> GLenum -> GLenum -> GLuint -> m ()
- glTextureBufferRangeEXT :: MonadIO m => GLuint -> GLenum -> GLenum -> GLuint -> GLintptr -> GLsizeiptr -> m ()
- glTextureImage1DEXT :: MonadIO m => GLuint -> GLenum -> GLint -> GLint -> GLsizei -> GLint -> GLenum -> GLenum -> Ptr a -> m ()
- glTextureImage2DEXT :: MonadIO m => GLuint -> GLenum -> GLint -> GLint -> GLsizei -> GLsizei -> GLint -> GLenum -> GLenum -> Ptr a -> m ()
- glTextureImage3DEXT :: MonadIO m => GLuint -> GLenum -> GLint -> GLint -> GLsizei -> GLsizei -> GLsizei -> GLint -> GLenum -> GLenum -> Ptr a -> m ()
- glTexturePageCommitmentEXT :: MonadIO m => GLuint -> GLint -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> GLsizei -> GLboolean -> m ()
- glTextureParameterIivEXT :: MonadIO m => GLuint -> GLenum -> GLenum -> Ptr GLint -> m ()
- glTextureParameterIuivEXT :: MonadIO m => GLuint -> GLenum -> GLenum -> Ptr GLuint -> m ()
- glTextureParameterfEXT :: MonadIO m => GLuint -> GLenum -> GLenum -> GLfloat -> m ()
- glTextureParameterfvEXT :: MonadIO m => GLuint -> GLenum -> GLenum -> Ptr GLfloat -> m ()
- glTextureParameteriEXT :: MonadIO m => GLuint -> GLenum -> GLenum -> GLint -> m ()
- glTextureParameterivEXT :: MonadIO m => GLuint -> GLenum -> GLenum -> Ptr GLint -> m ()
- glTextureRenderbufferEXT :: MonadIO m => GLuint -> GLenum -> GLuint -> m ()
- glTextureStorage1DEXT :: MonadIO m => GLuint -> GLenum -> GLsizei -> GLenum -> GLsizei -> m ()
- glTextureStorage2DEXT :: MonadIO m => GLuint -> GLenum -> GLsizei -> GLenum -> GLsizei -> GLsizei -> m ()
- glTextureStorage2DMultisampleEXT :: MonadIO m => GLuint -> GLenum -> GLsizei -> GLenum -> GLsizei -> GLsizei -> GLboolean -> m ()
- glTextureStorage3DEXT :: MonadIO m => GLuint -> GLenum -> GLsizei -> GLenum -> GLsizei -> GLsizei -> GLsizei -> m ()
- glTextureStorage3DMultisampleEXT :: MonadIO m => GLuint -> GLenum -> GLsizei -> GLenum -> GLsizei -> GLsizei -> GLsizei -> GLboolean -> m ()
- glTextureSubImage1DEXT :: MonadIO m => GLuint -> GLenum -> GLint -> GLint -> GLsizei -> GLenum -> GLenum -> Ptr a -> m ()
- glTextureSubImage2DEXT :: MonadIO m => GLuint -> GLenum -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> GLenum -> GLenum -> Ptr a -> m ()
- glTextureSubImage3DEXT :: MonadIO m => GLuint -> GLenum -> GLint -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> GLsizei -> GLenum -> GLenum -> Ptr a -> m ()
- glUnmapNamedBufferEXT :: MonadIO m => GLuint -> m GLboolean
- glVertexArrayBindVertexBufferEXT :: MonadIO m => GLuint -> GLuint -> GLuint -> GLintptr -> GLsizei -> m ()
- glVertexArrayColorOffsetEXT :: MonadIO m => GLuint -> GLuint -> GLint -> GLenum -> GLsizei -> GLintptr -> m ()
- glVertexArrayEdgeFlagOffsetEXT :: MonadIO m => GLuint -> GLuint -> GLsizei -> GLintptr -> m ()
- glVertexArrayFogCoordOffsetEXT :: MonadIO m => GLuint -> GLuint -> GLenum -> GLsizei -> GLintptr -> m ()
- glVertexArrayIndexOffsetEXT :: MonadIO m => GLuint -> GLuint -> GLenum -> GLsizei -> GLintptr -> m ()
- glVertexArrayMultiTexCoordOffsetEXT :: MonadIO m => GLuint -> GLuint -> GLenum -> GLint -> GLenum -> GLsizei -> GLintptr -> m ()
- glVertexArrayNormalOffsetEXT :: MonadIO m => GLuint -> GLuint -> GLenum -> GLsizei -> GLintptr -> m ()
- glVertexArraySecondaryColorOffsetEXT :: MonadIO m => GLuint -> GLuint -> GLint -> GLenum -> GLsizei -> GLintptr -> m ()
- glVertexArrayTexCoordOffsetEXT :: MonadIO m => GLuint -> GLuint -> GLint -> GLenum -> GLsizei -> GLintptr -> m ()
- glVertexArrayVertexAttribBindingEXT :: MonadIO m => GLuint -> GLuint -> GLuint -> m ()
- glVertexArrayVertexAttribDivisorEXT :: MonadIO m => GLuint -> GLuint -> GLuint -> m ()
- glVertexArrayVertexAttribFormatEXT :: MonadIO m => GLuint -> GLuint -> GLint -> GLenum -> GLboolean -> GLuint -> m ()
- glVertexArrayVertexAttribIFormatEXT :: MonadIO m => GLuint -> GLuint -> GLint -> GLenum -> GLuint -> m ()
- glVertexArrayVertexAttribIOffsetEXT :: MonadIO m => GLuint -> GLuint -> GLuint -> GLint -> GLenum -> GLsizei -> GLintptr -> m ()
- glVertexArrayVertexAttribLFormatEXT :: MonadIO m => GLuint -> GLuint -> GLint -> GLenum -> GLuint -> m ()
- glVertexArrayVertexAttribLOffsetEXT :: MonadIO m => GLuint -> GLuint -> GLuint -> GLint -> GLenum -> GLsizei -> GLintptr -> m ()
- glVertexArrayVertexAttribOffsetEXT :: MonadIO m => GLuint -> GLuint -> GLuint -> GLint -> GLenum -> GLboolean -> GLsizei -> GLintptr -> m ()
- glVertexArrayVertexBindingDivisorEXT :: MonadIO m => GLuint -> GLuint -> GLuint -> m ()
- glVertexArrayVertexOffsetEXT :: MonadIO m => GLuint -> GLuint -> GLint -> GLenum -> GLsizei -> GLintptr -> m ()

# Extension Support

glGetEXTDirectStateAccess :: MonadIO m => m Bool Source #

Is the EXT_direct_state_access extension supported?

gl_EXT_direct_state_access :: Bool Source #

Is the EXT_direct_state_access extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTDirectStateAccess` in those cases instead.

# Enums

pattern GL_PROGRAM_MATRIX_EXT :: GLenum Source #

pattern GL_PROGRAM_MATRIX_STACK_DEPTH_EXT :: GLenum Source #

pattern GL_TRANSPOSE_PROGRAM_MATRIX_EXT :: GLenum Source #

# Functions

glBindMultiTextureEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `texunit` of type TextureUnit.
-> GLenum | `target` of type TextureTarget.
-> GLuint | `texture` of type `Texture`.
-> m () |

glCheckNamedFramebufferStatusEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `framebuffer` of type `Framebuffer`.
-> GLenum | `target` of type FramebufferTarget.
-> m GLenum | of type FramebufferStatus.

glClearNamedBufferDataEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `data` pointing to `COMPSIZE(format,type)` elements of type `a`.
-> m () |

glClearNamedBufferSubDataEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> GLenum | `internalformat`.
-> GLsizeiptr | `offset` of type `BufferSize`.
-> GLsizeiptr | `size` of type `BufferSize`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `data` pointing to `COMPSIZE(format,type)` elements of type `a`.
-> m () |

glClientAttribDefaultEXT Source #

Arguments

:: MonadIO m |
=> GLbitfield | `mask` of type ClientAttribMask.
-> m () |

glCompressedMultiTexImage1DEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `texunit` of type TextureUnit.
-> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLint | `border` of type `CheckedInt32`.
-> GLsizei | `imageSize`.
-> Ptr a | `bits` pointing to `imageSize` elements of type `a`.
-> m () |

glCompressedMultiTexImage2DEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `texunit` of type TextureUnit.
-> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLint | `border` of type `CheckedInt32`.
-> GLsizei | `imageSize`.
-> Ptr a | `bits` pointing to `imageSize` elements of type `a`.
-> m () |

glCompressedMultiTexImage3DEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `texunit` of type TextureUnit.
-> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> GLint | `border` of type `CheckedInt32`.
-> GLsizei | `imageSize`.
-> Ptr a | `bits` pointing to `imageSize` elements of type `a`.
-> m () |

glCompressedMultiTexSubImage1DEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `texunit` of type TextureUnit.
-> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `xoffset` of type `CheckedInt32`.
-> GLsizei | `width`.
-> GLenum | `format` of type PixelFormat.
-> GLsizei | `imageSize`.
-> Ptr a | `bits` pointing to `imageSize` elements of type `a`.
-> m () |

glCompressedMultiTexSubImage2DEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `texunit` of type TextureUnit.
-> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `xoffset` of type `CheckedInt32`.
-> GLint | `yoffset` of type `CheckedInt32`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLenum | `format` of type PixelFormat.
-> GLsizei | `imageSize`.
-> Ptr a | `bits` pointing to `imageSize` elements of type `a`.
-> m () |

glCompressedMultiTexSubImage3DEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `texunit` of type TextureUnit.
-> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `xoffset` of type `CheckedInt32`.
-> GLint | `yoffset` of type `CheckedInt32`.
-> GLint | `zoffset` of type `CheckedInt32`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> GLenum | `format` of type PixelFormat.
-> GLsizei | `imageSize`.
-> Ptr a | `bits` pointing to `imageSize` elements of type `a`.
-> m () |

glCompressedTextureImage1DEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `texture` of type `Texture`.
-> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLint | `border` of type `CheckedInt32`.
-> GLsizei | `imageSize`.
-> Ptr a | `bits` pointing to `imageSize` elements of type `a`.
-> m () |

glCompressedTextureImage2DEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `texture` of type `Texture`.
-> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLint | `border` of type `CheckedInt32`.
-> GLsizei | `imageSize`.
-> Ptr a | `bits` pointing to `imageSize` elements of type `a`.
-> m () |

glCompressedTextureImage3DEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `texture` of type `Texture`.
-> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> GLint | `border` of type `CheckedInt32`.
-> GLsizei | `imageSize`.
-> Ptr a | `bits` pointing to `imageSize` elements of type `a`.
-> m () |

glCompressedTextureSubImage1DEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `texture` of type `Texture`.
-> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `xoffset` of type `CheckedInt32`.
-> GLsizei | `width`.
-> GLenum | `format` of type PixelFormat.
-> GLsizei | `imageSize`.
-> Ptr a | `bits` pointing to `imageSize` elements of type `a`.
-> m () |

glCompressedTextureSubImage2DEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `texture` of type `Texture`.
-> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `xoffset` of type `CheckedInt32`.
-> GLint | `yoffset` of type `CheckedInt32`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLenum | `format` of type PixelFormat.
-> GLsizei | `imageSize`.
-> Ptr a | `bits` pointing to `imageSize` elements of type `a`.
-> m () |

glCompressedTextureSubImage3DEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `texture` of type `Texture`.
-> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `xoffset` of type `CheckedInt32`.
-> GLint | `yoffset` of type `CheckedInt32`.
-> GLint | `zoffset` of type `CheckedInt32`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> GLenum | `format` of type PixelFormat.
-> GLsizei | `imageSize`.
-> Ptr a | `bits` pointing to `imageSize` elements of type `a`.
-> m () |

glCopyMultiTexImage1DEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `texunit` of type TextureUnit.
-> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLint | `x` of type `WinCoord`.
-> GLint | `y` of type `WinCoord`.
-> GLsizei | `width`.
-> GLint | `border` of type `CheckedInt32`.
-> m () |

glCopyMultiTexImage2DEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `texunit` of type TextureUnit.
-> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLint | `x` of type `WinCoord`.
-> GLint | `y` of type `WinCoord`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLint | `border` of type `CheckedInt32`.
-> m () |

glCopyMultiTexSubImage1DEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `texunit` of type TextureUnit.
-> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `xoffset` of type `CheckedInt32`.
-> GLint | `x` of type `WinCoord`.
-> GLint | `y` of type `WinCoord`.
-> GLsizei | `width`.
-> m () |

glCopyMultiTexSubImage2DEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `texunit` of type TextureUnit.
-> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `xoffset` of type `CheckedInt32`.
-> GLint | `yoffset` of type `CheckedInt32`.
-> GLint | `x` of type `WinCoord`.
-> GLint | `y` of type `WinCoord`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> m () |

glCopyMultiTexSubImage3DEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `texunit` of type TextureUnit.
-> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `xoffset` of type `CheckedInt32`.
-> GLint | `yoffset` of type `CheckedInt32`.
-> GLint | `zoffset` of type `CheckedInt32`.
-> GLint | `x` of type `WinCoord`.
-> GLint | `y` of type `WinCoord`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> m () |

glCopyTextureImage1DEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `texture` of type `Texture`.
-> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLint | `x` of type `WinCoord`.
-> GLint | `y` of type `WinCoord`.
-> GLsizei | `width`.
-> GLint | `border` of type `CheckedInt32`.
-> m () |

glCopyTextureImage2DEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `texture` of type `Texture`.
-> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLint | `x` of type `WinCoord`.
-> GLint | `y` of type `WinCoord`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLint | `border` of type `CheckedInt32`.
-> m () |

glCopyTextureSubImage1DEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `texture` of type `Texture`.
-> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `xoffset` of type `CheckedInt32`.
-> GLint | `x` of type `WinCoord`.
-> GLint | `y` of type `WinCoord`.
-> GLsizei | `width`.
-> m () |

glCopyTextureSubImage2DEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `texture` of type `Texture`.
-> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `xoffset` of type `CheckedInt32`.
-> GLint | `yoffset` of type `CheckedInt32`.
-> GLint | `x` of type `WinCoord`.
-> GLint | `y` of type `WinCoord`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> m () |

glCopyTextureSubImage3DEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `texture` of type `Texture`.
-> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `xoffset` of type `CheckedInt32`.
-> GLint | `yoffset` of type `CheckedInt32`.
-> GLint | `zoffset` of type `CheckedInt32`.
-> GLint | `x` of type `WinCoord`.
-> GLint | `y` of type `WinCoord`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> m () |

glDisableClientStateIndexedEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `array` of type EnableCap.
-> GLuint | `index`.
-> m () |

glDisableClientStateiEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `array` of type EnableCap.
-> GLuint | `index`.
-> m () |

glDisableIndexedEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type EnableCap.
-> GLuint | `index`.
-> m () |

This command is an alias for `glDisablei`.

glDisableVertexArrayAttribEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `vaobj`.
-> GLuint | `index`.
-> m () |

glDisableVertexArrayEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `vaobj`.
-> GLenum | `array` of type EnableCap.
-> m () |

glEnableClientStateIndexedEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `array` of type EnableCap.
-> GLuint | `index`.
-> m () |

glEnableClientStateiEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `array` of type EnableCap.
-> GLuint | `index`.
-> m () |

glEnableIndexedEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type EnableCap.
-> GLuint | `index`.
-> m () |

This command is an alias for `glEnablei`.

glEnableVertexArrayAttribEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `vaobj`.
-> GLuint | `index`.
-> m () |

glEnableVertexArrayEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `vaobj`.
-> GLenum | `array` of type EnableCap.
-> m () |

glFlushMappedNamedBufferRangeEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> GLintptr | `offset`.
-> GLsizeiptr | `length`.
-> m () |

glFramebufferDrawBufferEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `framebuffer` of type `Framebuffer`.
-> GLenum | `mode` of type DrawBufferMode.
-> m () |

glFramebufferDrawBuffersEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `framebuffer` of type `Framebuffer`.
-> GLsizei | `n`.
-> Ptr GLenum | `bufs` pointing to `n` elements of type DrawBufferMode.
-> m () |

glFramebufferReadBufferEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `framebuffer` of type `Framebuffer`.
-> GLenum | `mode` of type ReadBufferMode.
-> m () |

glGenerateMultiTexMipmapEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `texunit` of type TextureUnit.
-> GLenum | `target` of type TextureTarget.
-> m () |

glGenerateTextureMipmapEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `texture` of type `Texture`.
-> GLenum | `target` of type TextureTarget.
-> m () |

glGetBooleanIndexedvEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type BufferTargetARB.
-> GLuint | `index`.
-> Ptr GLboolean | `data` pointing to `COMPSIZE(target)` elements of type Boolean.
-> m () |

This command is an alias for `glGetBooleani_v`.

glGetCompressedMultiTexImageEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `texunit` of type TextureUnit.
-> GLenum | `target` of type TextureTarget.
-> GLint | `lod` of type `CheckedInt32`.
-> Ptr a | `img` pointing to `COMPSIZE(target,lod)` elements of type `a`.
-> m () |

glGetCompressedTextureImageEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `texture` of type `Texture`.
-> GLenum | `target` of type TextureTarget.
-> GLint | `lod` of type `CheckedInt32`.
-> Ptr a | `img` pointing to `COMPSIZE(target,lod)` elements of type `a`.
-> m () |

glGetDoubleIndexedvEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLuint | `index`.
-> Ptr GLdouble | `data` pointing to `COMPSIZE(target)` elements of type `GLdouble`.
-> m () |

This command is an alias for `glGetDoublei_v`.

glGetDoublei_vEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `pname`.
-> GLuint | `index`.
-> Ptr GLdouble | `params` pointing to `COMPSIZE(pname)` elements of type `GLdouble`.
-> m () |

This command is an alias for `glGetDoublei_v`.

glGetFloatIndexedvEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLuint | `index`.
-> Ptr GLfloat | `data` pointing to `COMPSIZE(target)` elements of type `GLfloat`.
-> m () |

This command is an alias for `glGetFloati_v`.

glGetFloati_vEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `pname`.
-> GLuint | `index`.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

This command is an alias for `glGetFloati_v`.

glGetFramebufferParameterivEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `framebuffer` of type `Framebuffer`.
-> GLenum | `pname` of type GetFramebufferParameter.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

glGetIntegerIndexedvEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLuint | `index`.
-> Ptr GLint | `data` pointing to `COMPSIZE(target)` elements of type `GLint`.
-> m () |

This command is an alias for `glGetIntegeri_v`.

glGetMultiTexEnvfvEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `texunit` of type TextureUnit.
-> GLenum | `target` of type TextureEnvTarget.
-> GLenum | `pname` of type TextureEnvParameter.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

glGetMultiTexEnvivEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `texunit` of type TextureUnit.
-> GLenum | `target` of type TextureEnvTarget.
-> GLenum | `pname` of type TextureEnvParameter.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

glGetMultiTexGendvEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `texunit` of type TextureUnit.
-> GLenum | `coord` of type TextureCoordName.
-> GLenum | `pname` of type TextureGenParameter.
-> Ptr GLdouble | `params` pointing to `COMPSIZE(pname)` elements of type `GLdouble`.
-> m () |

glGetMultiTexGenfvEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `texunit` of type TextureUnit.
-> GLenum | `coord` of type TextureCoordName.
-> GLenum | `pname` of type TextureGenParameter.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

glGetMultiTexGenivEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `texunit` of type TextureUnit.
-> GLenum | `coord` of type TextureCoordName.
-> GLenum | `pname` of type TextureGenParameter.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

glGetMultiTexImageEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `texunit` of type TextureUnit.
-> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `pixels` pointing to `COMPSIZE(target,level,format,type)` elements of type `a`.
-> m () |

glGetMultiTexLevelParameterfvEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `texunit` of type TextureUnit.
-> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLenum | `pname` of type GetTextureParameter.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

glGetMultiTexLevelParameterivEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `texunit` of type TextureUnit.
-> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLenum | `pname` of type GetTextureParameter.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

glGetMultiTexParameterIivEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `texunit` of type TextureUnit.
-> GLenum | `target` of type TextureTarget.
-> GLenum | `pname` of type GetTextureParameter.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

glGetMultiTexParameterIuivEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `texunit` of type TextureUnit.
-> GLenum | `target` of type TextureTarget.
-> GLenum | `pname` of type GetTextureParameter.
-> Ptr GLuint | `params` pointing to `COMPSIZE(pname)` elements of type `GLuint`.
-> m () |

glGetMultiTexParameterfvEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `texunit` of type TextureUnit.
-> GLenum | `target` of type TextureTarget.
-> GLenum | `pname` of type GetTextureParameter.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

glGetMultiTexParameterivEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `texunit` of type TextureUnit.
-> GLenum | `target` of type TextureTarget.
-> GLenum | `pname` of type GetTextureParameter.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

glGetNamedBufferParameterivEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> GLenum | `pname` of type VertexBufferObjectParameter.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

glGetNamedBufferPointervEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> GLenum | `pname` of type VertexBufferObjectParameter.
-> Ptr (Ptr a) | `params` pointing to `1` element of type `Ptr a`.
-> m () |

glGetNamedBufferSubDataEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> GLintptr | `offset`.
-> GLsizeiptr | `size`.
-> Ptr a | `data` pointing to `COMPSIZE(size)` elements of type `a`.
-> m () |

glGetNamedFramebufferAttachmentParameterivEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `framebuffer` of type `Framebuffer`.
-> GLenum | `attachment` of type FramebufferAttachment.
-> GLenum | `pname` of type FramebufferAttachmentParameterName.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

glGetNamedFramebufferParameterivEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `framebuffer` of type `Framebuffer`.
-> GLenum | `pname` of type GetFramebufferParameter.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

glGetNamedProgramLocalParameterIivEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLenum | `target` of type ProgramTarget.
-> GLuint | `index`.
-> Ptr GLint | `params` pointing to `4` elements of type `GLint`.
-> m () |

glGetNamedProgramLocalParameterIuivEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLenum | `target` of type ProgramTarget.
-> GLuint | `index`.
-> Ptr GLuint | `params` pointing to `4` elements of type `GLuint`.
-> m () |

glGetNamedProgramLocalParameterdvEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLenum | `target` of type ProgramTarget.
-> GLuint | `index`.
-> Ptr GLdouble | `params` pointing to `4` elements of type `GLdouble`.
-> m () |

glGetNamedProgramLocalParameterfvEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLenum | `target` of type ProgramTarget.
-> GLuint | `index`.
-> Ptr GLfloat | `params` pointing to `4` elements of type `GLfloat`.
-> m () |

glGetNamedProgramStringEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLenum | `target` of type ProgramTarget.
-> GLenum | `pname` of type ProgramStringProperty.
-> Ptr a | `string` pointing to `COMPSIZE(program,pname)` elements of type `a`.
-> m () |

glGetNamedProgramivEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLenum | `target` of type ProgramTarget.
-> GLenum | `pname` of type ProgramPropertyARB.
-> Ptr GLint | `params` pointing to `1` element of type `GLint`.
-> m () |

glGetNamedRenderbufferParameterivEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `renderbuffer` of type `Renderbuffer`.
-> GLenum | `pname` of type RenderbufferParameterName.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

glGetPointerIndexedvEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLuint | `index`.
-> Ptr (Ptr a) | `data` pointing to `1` element of type `Ptr a`.
-> m () |

glGetPointeri_vEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `pname`.
-> GLuint | `index`.
-> Ptr (Ptr a) | `params` pointing to `1` element of type `Ptr a`.
-> m () |

glGetTextureImageEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `texture` of type `Texture`.
-> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `pixels` pointing to `COMPSIZE(target,level,format,type)` elements of type `a`.
-> m () |

glGetTextureLevelParameterfvEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `texture` of type `Texture`.
-> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLenum | `pname` of type GetTextureParameter.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

glGetTextureLevelParameterivEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `texture` of type `Texture`.
-> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLenum | `pname` of type GetTextureParameter.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

glGetTextureParameterIivEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `texture` of type `Texture`.
-> GLenum | `target` of type TextureTarget.
-> GLenum | `pname` of type GetTextureParameter.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

glGetTextureParameterIuivEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `texture` of type `Texture`.
-> GLenum | `target` of type TextureTarget.
-> GLenum | `pname` of type GetTextureParameter.
-> Ptr GLuint | `params` pointing to `COMPSIZE(pname)` elements of type `GLuint`.
-> m () |

glGetTextureParameterfvEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `texture` of type `Texture`.
-> GLenum | `target` of type TextureTarget.
-> GLenum | `pname` of type GetTextureParameter.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

glGetTextureParameterivEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `texture` of type `Texture`.
-> GLenum | `target` of type TextureTarget.
-> GLenum | `pname` of type GetTextureParameter.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

glGetVertexArrayIntegeri_vEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `vaobj`.
-> GLuint | `index`.
-> GLenum | `pname` of type VertexArrayPName.
-> Ptr GLint | `param`.
-> m () |

glGetVertexArrayIntegervEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `vaobj`.
-> GLenum | `pname` of type VertexArrayPName.
-> Ptr GLint | `param`.
-> m () |

glGetVertexArrayPointeri_vEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `vaobj`.
-> GLuint | `index`.
-> GLenum | `pname` of type VertexArrayPName.
-> Ptr (Ptr a) | `param`.
-> m () |

glGetVertexArrayPointervEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `vaobj`.
-> GLenum | `pname` of type VertexArrayPName.
-> Ptr (Ptr a) | `param` pointing to `1` element of type `Ptr a`.
-> m () |

glIsEnabledIndexedEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type EnableCap.
-> GLuint | `index`.
-> m GLboolean | of type Boolean.

This command is an alias for `glIsEnabledi`.

glMapNamedBufferEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> GLenum | `access` of type BufferAccessARB.
-> m (Ptr a) |

glMapNamedBufferRangeEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> GLintptr | `offset`.
-> GLsizeiptr | `length`.
-> GLbitfield | `access` of type MapBufferAccessMask.
-> m (Ptr a) |

glMatrixFrustumEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type MatrixMode.
-> GLdouble | `left`.
-> GLdouble | `right`.
-> GLdouble | `bottom`.
-> GLdouble | `top`.
-> GLdouble | `zNear`.
-> GLdouble | `zFar`.
-> m () |

glMatrixLoadIdentityEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type MatrixMode.
-> m () |

glMatrixLoadTransposedEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type MatrixMode.
-> Ptr GLdouble | `m` pointing to `16` elements of type `GLdouble`.
-> m () |

glMatrixLoadTransposefEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type MatrixMode.
-> Ptr GLfloat | `m` pointing to `16` elements of type `GLfloat`.
-> m () |

glMatrixLoaddEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type MatrixMode.
-> Ptr GLdouble | `m` pointing to `16` elements of type `GLdouble`.
-> m () |

glMatrixLoadfEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type MatrixMode.
-> Ptr GLfloat | `m` pointing to `16` elements of type `GLfloat`.
-> m () |

glMatrixMultTransposedEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type MatrixMode.
-> Ptr GLdouble | `m` pointing to `16` elements of type `GLdouble`.
-> m () |

glMatrixMultTransposefEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type MatrixMode.
-> Ptr GLfloat | `m` pointing to `16` elements of type `GLfloat`.
-> m () |

glMatrixMultdEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type MatrixMode.
-> Ptr GLdouble | `m` pointing to `16` elements of type `GLdouble`.
-> m () |

glMatrixMultfEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type MatrixMode.
-> Ptr GLfloat | `m` pointing to `16` elements of type `GLfloat`.
-> m () |

glMatrixOrthoEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type MatrixMode.
-> GLdouble | `left`.
-> GLdouble | `right`.
-> GLdouble | `bottom`.
-> GLdouble | `top`.
-> GLdouble | `zNear`.
-> GLdouble | `zFar`.
-> m () |

glMatrixPopEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type MatrixMode.
-> m () |

glMatrixPushEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type MatrixMode.
-> m () |

glMatrixRotatedEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type MatrixMode.
-> GLdouble | `angle`.
-> GLdouble | `x`.
-> GLdouble | `y`.
-> GLdouble | `z`.
-> m () |

glMatrixRotatefEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type MatrixMode.
-> GLfloat | `angle`.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> GLfloat | `z`.
-> m () |

glMatrixScaledEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type MatrixMode.
-> GLdouble | `x`.
-> GLdouble | `y`.
-> GLdouble | `z`.
-> m () |

glMatrixScalefEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type MatrixMode.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> GLfloat | `z`.
-> m () |

glMatrixTranslatedEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type MatrixMode.
-> GLdouble | `x`.
-> GLdouble | `y`.
-> GLdouble | `z`.
-> m () |

glMatrixTranslatefEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type MatrixMode.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> GLfloat | `z`.
-> m () |

glMultiTexBufferEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `texunit` of type TextureUnit.
-> GLenum | `target` of type TextureTarget.
-> GLenum | `internalformat`.
-> GLuint | `buffer`.
-> m () |

glMultiTexCoordPointerEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `texunit` of type TextureUnit.
-> GLint | `size`.
-> GLenum | `type` of type TexCoordPointerType.
-> GLsizei | `stride`.
-> Ptr a | `pointer` pointing to `COMPSIZE(size,type,stride)` elements of type `a`.
-> m () |

glMultiTexEnvfEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `texunit` of type TextureUnit.
-> GLenum | `target` of type TextureEnvTarget.
-> GLenum | `pname` of type TextureEnvParameter.
-> GLfloat | `param` of type `CheckedFloat32`.
-> m () |

The vector equivalent of this command is `glMultiTexEnvfvEXT`.

glMultiTexEnvfvEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `texunit` of type TextureUnit.
-> GLenum | `target` of type TextureEnvTarget.
-> GLenum | `pname` of type TextureEnvParameter.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedFloat32`.
-> m () |

glMultiTexEnviEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `texunit` of type TextureUnit.
-> GLenum | `target` of type TextureEnvTarget.
-> GLenum | `pname` of type TextureEnvParameter.
-> GLint | `param` of type `CheckedInt32`.
-> m () |

The vector equivalent of this command is `glMultiTexEnvivEXT`.

glMultiTexEnvivEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `texunit` of type TextureUnit.
-> GLenum | `target` of type TextureEnvTarget.
-> GLenum | `pname` of type TextureEnvParameter.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedInt32`.
-> m () |

glMultiTexGendEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `texunit` of type TextureUnit.
-> GLenum | `coord` of type TextureCoordName.
-> GLenum | `pname` of type TextureGenParameter.
-> GLdouble | `param`.
-> m () |

The vector equivalent of this command is `glMultiTexGendvEXT`.

glMultiTexGendvEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `texunit` of type TextureUnit.
-> GLenum | `coord` of type TextureCoordName.
-> GLenum | `pname` of type TextureGenParameter.
-> Ptr GLdouble | `params` pointing to `COMPSIZE(pname)` elements of type `GLdouble`.
-> m () |

glMultiTexGenfEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `texunit` of type TextureUnit.
-> GLenum | `coord` of type TextureCoordName.
-> GLenum | `pname` of type TextureGenParameter.
-> GLfloat | `param` of type `CheckedFloat32`.
-> m () |

The vector equivalent of this command is `glMultiTexGenfvEXT`.

glMultiTexGenfvEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `texunit` of type TextureUnit.
-> GLenum | `coord` of type TextureCoordName.
-> GLenum | `pname` of type TextureGenParameter.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedFloat32`.
-> m () |

glMultiTexGeniEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `texunit` of type TextureUnit.
-> GLenum | `coord` of type TextureCoordName.
-> GLenum | `pname` of type TextureGenParameter.
-> GLint | `param` of type `CheckedInt32`.
-> m () |

The vector equivalent of this command is `glMultiTexGenivEXT`.

glMultiTexGenivEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `texunit` of type TextureUnit.
-> GLenum | `coord` of type TextureCoordName.
-> GLenum | `pname` of type TextureGenParameter.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedInt32`.
-> m () |

glMultiTexImage1DEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `texunit` of type TextureUnit.
-> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLint | `border` of type `CheckedInt32`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `pixels` pointing to `COMPSIZE(format,type,width)` elements of type `a`.
-> m () |

glMultiTexImage2DEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `texunit` of type TextureUnit.
-> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLint | `border` of type `CheckedInt32`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `pixels` pointing to `COMPSIZE(format,type,width,height)` elements of type `a`.
-> m () |

glMultiTexImage3DEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `texunit` of type TextureUnit.
-> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> GLint | `border` of type `CheckedInt32`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `pixels` pointing to `COMPSIZE(format,type,width,height,depth)` elements of type `a`.
-> m () |

glMultiTexParameterIivEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `texunit` of type TextureUnit.
-> GLenum | `target` of type TextureTarget.
-> GLenum | `pname` of type TextureParameterName.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedInt32`.
-> m () |

glMultiTexParameterIuivEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `texunit` of type TextureUnit.
-> GLenum | `target` of type TextureTarget.
-> GLenum | `pname` of type TextureParameterName.
-> Ptr GLuint | `params` pointing to `COMPSIZE(pname)` elements of type `GLuint`.
-> m () |

glMultiTexParameterfEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `texunit` of type TextureUnit.
-> GLenum | `target` of type TextureTarget.
-> GLenum | `pname` of type TextureParameterName.
-> GLfloat | `param` of type `CheckedFloat32`.
-> m () |

The vector equivalent of this command is `glMultiTexParameterfvEXT`.

glMultiTexParameterfvEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `texunit` of type TextureUnit.
-> GLenum | `target` of type TextureTarget.
-> GLenum | `pname` of type TextureParameterName.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedFloat32`.
-> m () |

glMultiTexParameteriEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `texunit` of type TextureUnit.
-> GLenum | `target` of type TextureTarget.
-> GLenum | `pname` of type TextureParameterName.
-> GLint | `param` of type `CheckedInt32`.
-> m () |

The vector equivalent of this command is `glMultiTexParameterivEXT`.

glMultiTexParameterivEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `texunit` of type TextureUnit.
-> GLenum | `target` of type TextureTarget.
-> GLenum | `pname` of type TextureParameterName.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedInt32`.
-> m () |

glMultiTexRenderbufferEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `texunit` of type TextureUnit.
-> GLenum | `target` of type TextureTarget.
-> GLuint | `renderbuffer`.
-> m () |

glMultiTexSubImage1DEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `texunit` of type TextureUnit.
-> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `xoffset` of type `CheckedInt32`.
-> GLsizei | `width`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `pixels` pointing to `COMPSIZE(format,type,width)` elements of type `a`.
-> m () |

glMultiTexSubImage2DEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `texunit` of type TextureUnit.
-> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `xoffset` of type `CheckedInt32`.
-> GLint | `yoffset` of type `CheckedInt32`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `pixels` pointing to `COMPSIZE(format,type,width,height)` elements of type `a`.
-> m () |

glMultiTexSubImage3DEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `texunit` of type TextureUnit.
-> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `xoffset` of type `CheckedInt32`.
-> GLint | `yoffset` of type `CheckedInt32`.
-> GLint | `zoffset` of type `CheckedInt32`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `pixels` pointing to `COMPSIZE(format,type,width,height,depth)` elements of type `a`.
-> m () |

glNamedBufferDataEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> GLsizeiptr | `size`.
-> Ptr a | `data` pointing to `COMPSIZE(size)` elements of type `a`.
-> GLenum | `usage` of type VertexBufferObjectUsage.
-> m () |

glNamedBufferStorageEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> GLsizeiptr | `size` of type `BufferSize`.
-> Ptr a | `data` pointing to `size` elements of type `a`.
-> GLbitfield | `flags` of type BufferStorageMask.
-> m () |

This command is an alias for `glNamedBufferStorage`.

glNamedBufferSubDataEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> GLintptr | `offset`.
-> GLsizeiptr | `size` of type `BufferSize`.
-> Ptr a | `data` pointing to `COMPSIZE(size)` elements of type `a`.
-> m () |

This command is an alias for `glNamedBufferSubData`.

glNamedCopyBufferSubDataEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `readBuffer`.
-> GLuint | `writeBuffer`.
-> GLintptr | `readOffset`.
-> GLintptr | `writeOffset`.
-> GLsizeiptr | `size`.
-> m () |

glNamedFramebufferParameteriEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `framebuffer` of type `Framebuffer`.
-> GLenum | `pname` of type FramebufferParameterName.
-> GLint | `param`.
-> m () |

glNamedFramebufferRenderbufferEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `framebuffer` of type `Framebuffer`.
-> GLenum | `attachment` of type FramebufferAttachment.
-> GLenum | `renderbuffertarget` of type RenderbufferTarget.
-> GLuint | `renderbuffer` of type `Renderbuffer`.
-> m () |

glNamedFramebufferTexture1DEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `framebuffer` of type `Framebuffer`.
-> GLenum | `attachment` of type FramebufferAttachment.
-> GLenum | `textarget` of type TextureTarget.
-> GLuint | `texture` of type `Texture`.
-> GLint | `level` of type `CheckedInt32`.
-> m () |

glNamedFramebufferTexture2DEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `framebuffer` of type `Framebuffer`.
-> GLenum | `attachment` of type FramebufferAttachment.
-> GLenum | `textarget` of type TextureTarget.
-> GLuint | `texture` of type `Texture`.
-> GLint | `level` of type `CheckedInt32`.
-> m () |

glNamedFramebufferTexture3DEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `framebuffer` of type `Framebuffer`.
-> GLenum | `attachment` of type FramebufferAttachment.
-> GLenum | `textarget` of type TextureTarget.
-> GLuint | `texture` of type `Texture`.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `zoffset` of type `CheckedInt32`.
-> m () |

glNamedFramebufferTextureEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `framebuffer` of type `Framebuffer`.
-> GLenum | `attachment` of type FramebufferAttachment.
-> GLuint | `texture` of type `Texture`.
-> GLint | `level` of type `CheckedInt32`.
-> m () |

glNamedFramebufferTextureFaceEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `framebuffer` of type `Framebuffer`.
-> GLenum | `attachment` of type FramebufferAttachment.
-> GLuint | `texture` of type `Texture`.
-> GLint | `level` of type `CheckedInt32`.
-> GLenum | `face` of type TextureTarget.
-> m () |

glNamedFramebufferTextureLayerEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `framebuffer` of type `Framebuffer`.
-> GLenum | `attachment` of type FramebufferAttachment.
-> GLuint | `texture` of type `Texture`.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `layer` of type `CheckedInt32`.
-> m () |

glNamedProgramLocalParameter4dEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLenum | `target` of type ProgramTarget.
-> GLuint | `index`.
-> GLdouble | `x`.
-> GLdouble | `y`.
-> GLdouble | `z`.
-> GLdouble | `w`.
-> m () |

The vector equivalent of this command is `glNamedProgramLocalParameter4dvEXT`.

glNamedProgramLocalParameter4dvEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLenum | `target` of type ProgramTarget.
-> GLuint | `index`.
-> Ptr GLdouble | `params` pointing to `4` elements of type `GLdouble`.
-> m () |

glNamedProgramLocalParameter4fEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLenum | `target` of type ProgramTarget.
-> GLuint | `index`.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> GLfloat | `z`.
-> GLfloat | `w`.
-> m () |

The vector equivalent of this command is `glNamedProgramLocalParameter4fvEXT`.

glNamedProgramLocalParameter4fvEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLenum | `target` of type ProgramTarget.
-> GLuint | `index`.
-> Ptr GLfloat | `params` pointing to `4` elements of type `GLfloat`.
-> m () |

glNamedProgramLocalParameterI4iEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLenum | `target` of type ProgramTarget.
-> GLuint | `index`.
-> GLint | `x`.
-> GLint | `y`.
-> GLint | `z`.
-> GLint | `w`.
-> m () |

The vector equivalent of this command is `glNamedProgramLocalParameterI4ivEXT`.

glNamedProgramLocalParameterI4ivEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLenum | `target` of type ProgramTarget.
-> GLuint | `index`.
-> Ptr GLint | `params` pointing to `4` elements of type `GLint`.
-> m () |

glNamedProgramLocalParameterI4uiEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLenum | `target` of type ProgramTarget.
-> GLuint | `index`.
-> GLuint | `x`.
-> GLuint | `y`.
-> GLuint | `z`.
-> GLuint | `w`.
-> m () |

The vector equivalent of this command is `glNamedProgramLocalParameterI4uivEXT`.

glNamedProgramLocalParameterI4uivEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLenum | `target` of type ProgramTarget.
-> GLuint | `index`.
-> Ptr GLuint | `params` pointing to `4` elements of type `GLuint`.
-> m () |

glNamedProgramLocalParameters4fvEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLenum | `target` of type ProgramTarget.
-> GLuint | `index`.
-> GLsizei | `count`.
-> Ptr GLfloat | `params` pointing to `count*4` elements of type `GLfloat`.
-> m () |

glNamedProgramLocalParametersI4ivEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLenum | `target` of type ProgramTarget.
-> GLuint | `index`.
-> GLsizei | `count`.
-> Ptr GLint | `params` pointing to `count*4` elements of type `GLint`.
-> m () |

glNamedProgramLocalParametersI4uivEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLenum | `target` of type ProgramTarget.
-> GLuint | `index`.
-> GLsizei | `count`.
-> Ptr GLuint | `params` pointing to `count*4` elements of type `GLuint`.
-> m () |

glNamedProgramStringEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLenum | `target` of type ProgramTarget.
-> GLenum | `format` of type ProgramFormat.
-> GLsizei | `len`.
-> Ptr a | `string` pointing to `len` elements of type `a`.
-> m () |

glNamedRenderbufferStorageEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `renderbuffer` of type `Renderbuffer`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> m () |

glNamedRenderbufferStorageMultisampleCoverageEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `renderbuffer` of type `Renderbuffer`.
-> GLsizei | `coverageSamples`.
-> GLsizei | `colorSamples`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> m () |

glNamedRenderbufferStorageMultisampleEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `renderbuffer` of type `Renderbuffer`.
-> GLsizei | `samples`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> m () |

glProgramUniform1dEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLdouble | `x`.
-> m () |

glProgramUniform1dvEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLdouble | `value` pointing to `count` elements of type `GLdouble`.
-> m () |

glProgramUniform1fEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLfloat | `v0`.
-> m () |

This command is an alias for `glProgramUniform1f`.

glProgramUniform1fvEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLfloat | `value` pointing to `count` elements of type `GLfloat`.
-> m () |

This command is an alias for `glProgramUniform1fv`.

glProgramUniform1iEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLint | `v0`.
-> m () |

This command is an alias for `glProgramUniform1i`.

glProgramUniform1ivEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLint | `value` pointing to `count` elements of type `GLint`.
-> m () |

This command is an alias for `glProgramUniform1iv`.

glProgramUniform1uiEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLuint | `v0`.
-> m () |

This command is an alias for `glProgramUniform1ui`.

glProgramUniform1uivEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLuint | `value` pointing to `count` elements of type `GLuint`.
-> m () |

This command is an alias for `glProgramUniform1uiv`.

glProgramUniform2dEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLdouble | `x`.
-> GLdouble | `y`.
-> m () |

glProgramUniform2dvEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLdouble | `value` pointing to `count*2` elements of type `GLdouble`.
-> m () |

glProgramUniform2fEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLfloat | `v0`.
-> GLfloat | `v1`.
-> m () |

This command is an alias for `glProgramUniform2f`.

glProgramUniform2fvEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLfloat | `value` pointing to `count*2` elements of type `GLfloat`.
-> m () |

This command is an alias for `glProgramUniform2fv`.

glProgramUniform2iEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLint | `v0`.
-> GLint | `v1`.
-> m () |

This command is an alias for `glProgramUniform2i`.

glProgramUniform2ivEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLint | `value` pointing to `count*2` elements of type `GLint`.
-> m () |

This command is an alias for `glProgramUniform2iv`.

glProgramUniform2uiEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLuint | `v0`.
-> GLuint | `v1`.
-> m () |

This command is an alias for `glProgramUniform2ui`.

glProgramUniform2uivEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLuint | `value` pointing to `count*2` elements of type `GLuint`.
-> m () |

This command is an alias for `glProgramUniform2uiv`.

glProgramUniform3dEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLdouble | `x`.
-> GLdouble | `y`.
-> GLdouble | `z`.
-> m () |

glProgramUniform3dvEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLdouble | `value` pointing to `count*3` elements of type `GLdouble`.
-> m () |

glProgramUniform3fEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLfloat | `v0`.
-> GLfloat | `v1`.
-> GLfloat | `v2`.
-> m () |

This command is an alias for `glProgramUniform3f`.

glProgramUniform3fvEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLfloat | `value` pointing to `count*3` elements of type `GLfloat`.
-> m () |

This command is an alias for `glProgramUniform3fv`.

glProgramUniform3iEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLint | `v0`.
-> GLint | `v1`.
-> GLint | `v2`.
-> m () |

This command is an alias for `glProgramUniform3i`.

glProgramUniform3ivEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLint | `value` pointing to `count*3` elements of type `GLint`.
-> m () |

This command is an alias for `glProgramUniform3iv`.

glProgramUniform3uiEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLuint | `v0`.
-> GLuint | `v1`.
-> GLuint | `v2`.
-> m () |

This command is an alias for `glProgramUniform3ui`.

glProgramUniform3uivEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLuint | `value` pointing to `count*3` elements of type `GLuint`.
-> m () |

This command is an alias for `glProgramUniform3uiv`.

glProgramUniform4dEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLdouble | `x`.
-> GLdouble | `y`.
-> GLdouble | `z`.
-> GLdouble | `w`.
-> m () |

glProgramUniform4dvEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLdouble | `value` pointing to `count*4` elements of type `GLdouble`.
-> m () |

glProgramUniform4fEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLfloat | `v0`.
-> GLfloat | `v1`.
-> GLfloat | `v2`.
-> GLfloat | `v3`.
-> m () |

This command is an alias for `glProgramUniform4f`.

glProgramUniform4fvEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLfloat | `value` pointing to `count*4` elements of type `GLfloat`.
-> m () |

This command is an alias for `glProgramUniform4fv`.

glProgramUniform4iEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLint | `v0`.
-> GLint | `v1`.
-> GLint | `v2`.
-> GLint | `v3`.
-> m () |

This command is an alias for `glProgramUniform4i`.

glProgramUniform4ivEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLint | `value` pointing to `count*4` elements of type `GLint`.
-> m () |

This command is an alias for `glProgramUniform4iv`.

glProgramUniform4uiEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLuint | `v0`.
-> GLuint | `v1`.
-> GLuint | `v2`.
-> GLuint | `v3`.
-> m () |

This command is an alias for `glProgramUniform4ui`.

glProgramUniform4uivEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLuint | `value` pointing to `count*4` elements of type `GLuint`.
-> m () |

This command is an alias for `glProgramUniform4uiv`.

glProgramUniformMatrix2dvEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLdouble | `value` pointing to `count*4` elements of type `GLdouble`.
-> m () |

glProgramUniformMatrix2fvEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLfloat | `value` pointing to `count*4` elements of type `GLfloat`.
-> m () |

This command is an alias for `glProgramUniformMatrix2fv`.

glProgramUniformMatrix2x3dvEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLdouble | `value` pointing to `count*6` elements of type `GLdouble`.
-> m () |

glProgramUniformMatrix2x3fvEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLfloat | `value` pointing to `count*6` elements of type `GLfloat`.
-> m () |

This command is an alias for `glProgramUniformMatrix2x3fv`.

glProgramUniformMatrix2x4dvEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLdouble | `value` pointing to `count*8` elements of type `GLdouble`.
-> m () |

glProgramUniformMatrix2x4fvEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLfloat | `value` pointing to `count*8` elements of type `GLfloat`.
-> m () |

This command is an alias for `glProgramUniformMatrix2x4fv`.

glProgramUniformMatrix3dvEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLdouble | `value` pointing to `count*9` elements of type `GLdouble`.
-> m () |

glProgramUniformMatrix3fvEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLfloat | `value` pointing to `count*9` elements of type `GLfloat`.
-> m () |

This command is an alias for `glProgramUniformMatrix3fv`.

glProgramUniformMatrix3x2dvEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLdouble | `value` pointing to `count*6` elements of type `GLdouble`.
-> m () |

glProgramUniformMatrix3x2fvEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLfloat | `value` pointing to `count*6` elements of type `GLfloat`.
-> m () |

This command is an alias for `glProgramUniformMatrix3x2fv`.

glProgramUniformMatrix3x4dvEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLdouble | `value` pointing to `count*12` elements of type `GLdouble`.
-> m () |

glProgramUniformMatrix3x4fvEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLfloat | `value` pointing to `count*12` elements of type `GLfloat`.
-> m () |

This command is an alias for `glProgramUniformMatrix3x4fv`.

glProgramUniformMatrix4dvEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLdouble | `value` pointing to `count*16` elements of type `GLdouble`.
-> m () |

glProgramUniformMatrix4fvEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLfloat | `value` pointing to `count*16` elements of type `GLfloat`.
-> m () |

This command is an alias for `glProgramUniformMatrix4fv`.

glProgramUniformMatrix4x2dvEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLdouble | `value` pointing to `count*8` elements of type `GLdouble`.
-> m () |

glProgramUniformMatrix4x2fvEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLfloat | `value` pointing to `count*8` elements of type `GLfloat`.
-> m () |

This command is an alias for `glProgramUniformMatrix4x2fv`.

glProgramUniformMatrix4x3dvEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLdouble | `value` pointing to `count*12` elements of type `GLdouble`.
-> m () |

glProgramUniformMatrix4x3fvEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLfloat | `value` pointing to `count*12` elements of type `GLfloat`.
-> m () |

This command is an alias for `glProgramUniformMatrix4x3fv`.

glPushClientAttribDefaultEXT Source #

Arguments

:: MonadIO m |
=> GLbitfield | `mask` of type ClientAttribMask.
-> m () |

glTextureBufferEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `texture` of type `Texture`.
-> GLenum | `target` of type TextureTarget.
-> GLenum | `internalformat` of type InternalFormat.
-> GLuint | `buffer`.
-> m () |

glTextureBufferRangeEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `texture` of type `Texture`.
-> GLenum | `target` of type TextureTarget.
-> GLenum | `internalformat` of type InternalFormat.
-> GLuint | `buffer`.
-> GLintptr | `offset` of type `BufferOffset`.
-> GLsizeiptr | `size` of type `BufferSize`.
-> m () |

glTextureImage1DEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `texture` of type `Texture`.
-> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLint | `border` of type `CheckedInt32`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `pixels` pointing to `COMPSIZE(format,type,width)` elements of type `a`.
-> m () |

glTextureImage2DEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `texture` of type `Texture`.
-> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLint | `border` of type `CheckedInt32`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `pixels` pointing to `COMPSIZE(format,type,width,height)` elements of type `a`.
-> m () |

glTextureImage3DEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `texture` of type `Texture`.
-> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> GLint | `border` of type `CheckedInt32`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `pixels` pointing to `COMPSIZE(format,type,width,height,depth)` elements of type `a`.
-> m () |

glTexturePageCommitmentEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLint | `level`.
-> GLint | `xoffset`.
-> GLint | `yoffset`.
-> GLint | `zoffset`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> GLboolean | `commit` of type Boolean.
-> m () |

glTextureParameterIivEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `texture` of type `Texture`.
-> GLenum | `target` of type TextureTarget.
-> GLenum | `pname` of type TextureParameterName.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedInt32`.
-> m () |

glTextureParameterIuivEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `texture` of type `Texture`.
-> GLenum | `target` of type TextureTarget.
-> GLenum | `pname` of type TextureParameterName.
-> Ptr GLuint | `params` pointing to `COMPSIZE(pname)` elements of type `GLuint`.
-> m () |

glTextureParameterfEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `texture` of type `Texture`.
-> GLenum | `target` of type TextureTarget.
-> GLenum | `pname` of type TextureParameterName.
-> GLfloat | `param` of type `CheckedFloat32`.
-> m () |

The vector equivalent of this command is `glTextureParameterfvEXT`.

glTextureParameterfvEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `texture` of type `Texture`.
-> GLenum | `target` of type TextureTarget.
-> GLenum | `pname` of type TextureParameterName.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedFloat32`.
-> m () |

glTextureParameteriEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `texture` of type `Texture`.
-> GLenum | `target` of type TextureTarget.
-> GLenum | `pname` of type TextureParameterName.
-> GLint | `param` of type `CheckedInt32`.
-> m () |

The vector equivalent of this command is `glTextureParameterivEXT`.

glTextureParameterivEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `texture` of type `Texture`.
-> GLenum | `target` of type TextureTarget.
-> GLenum | `pname` of type TextureParameterName.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedInt32`.
-> m () |

glTextureRenderbufferEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `texture` of type `Texture`.
-> GLenum | `target` of type TextureTarget.
-> GLuint | `renderbuffer`.
-> m () |

glTextureStorage1DEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLenum | `target`.
-> GLsizei | `levels`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> m () |

glTextureStorage2DEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLenum | `target`.
-> GLsizei | `levels`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> m () |

glTextureStorage2DMultisampleEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `texture` of type `Texture`.
-> GLenum | `target` of type TextureTarget.
-> GLsizei | `samples`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLboolean | `fixedsamplelocations` of type Boolean.
-> m () |

glTextureStorage3DEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLenum | `target`.
-> GLsizei | `levels`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> m () |

glTextureStorage3DMultisampleEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLenum | `target`.
-> GLsizei | `samples`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> GLboolean | `fixedsamplelocations` of type Boolean.
-> m () |

glTextureSubImage1DEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `texture` of type `Texture`.
-> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `xoffset` of type `CheckedInt32`.
-> GLsizei | `width`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `pixels` pointing to `COMPSIZE(format,type,width)` elements of type `a`.
-> m () |

glTextureSubImage2DEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `texture` of type `Texture`.
-> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `xoffset` of type `CheckedInt32`.
-> GLint | `yoffset` of type `CheckedInt32`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `pixels` pointing to `COMPSIZE(format,type,width,height)` elements of type `a`.
-> m () |

glTextureSubImage3DEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `texture` of type `Texture`.
-> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `xoffset` of type `CheckedInt32`.
-> GLint | `yoffset` of type `CheckedInt32`.
-> GLint | `zoffset` of type `CheckedInt32`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `pixels` pointing to `COMPSIZE(format,type,width,height,depth)` elements of type `a`.
-> m () |

glUnmapNamedBufferEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> m GLboolean | of type Boolean.

glVertexArrayBindVertexBufferEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `vaobj`.
-> GLuint | `bindingindex`.
-> GLuint | `buffer`.
-> GLintptr | `offset` of type `BufferOffset`.
-> GLsizei | `stride`.
-> m () |

glVertexArrayColorOffsetEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `vaobj`.
-> GLuint | `buffer`.
-> GLint | `size`.
-> GLenum | `type` of type ColorPointerType.
-> GLsizei | `stride`.
-> GLintptr | `offset`.
-> m () |

glVertexArrayEdgeFlagOffsetEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `vaobj`.
-> GLuint | `buffer`.
-> GLsizei | `stride`.
-> GLintptr | `offset`.
-> m () |

glVertexArrayFogCoordOffsetEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `vaobj`.
-> GLuint | `buffer`.
-> GLenum | `type` of type FogCoordinatePointerType.
-> GLsizei | `stride`.
-> GLintptr | `offset`.
-> m () |

glVertexArrayIndexOffsetEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `vaobj`.
-> GLuint | `buffer`.
-> GLenum | `type` of type IndexPointerType.
-> GLsizei | `stride`.
-> GLintptr | `offset`.
-> m () |

glVertexArrayMultiTexCoordOffsetEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `vaobj`.
-> GLuint | `buffer`.
-> GLenum | `texunit`.
-> GLint | `size`.
-> GLenum | `type` of type TexCoordPointerType.
-> GLsizei | `stride`.
-> GLintptr | `offset`.
-> m () |

glVertexArrayNormalOffsetEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `vaobj`.
-> GLuint | `buffer`.
-> GLenum | `type` of type NormalPointerType.
-> GLsizei | `stride`.
-> GLintptr | `offset`.
-> m () |

glVertexArraySecondaryColorOffsetEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `vaobj`.
-> GLuint | `buffer`.
-> GLint | `size`.
-> GLenum | `type` of type ColorPointerType.
-> GLsizei | `stride`.
-> GLintptr | `offset`.
-> m () |

glVertexArrayTexCoordOffsetEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `vaobj`.
-> GLuint | `buffer`.
-> GLint | `size`.
-> GLenum | `type` of type TexCoordPointerType.
-> GLsizei | `stride`.
-> GLintptr | `offset`.
-> m () |

glVertexArrayVertexAttribBindingEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `vaobj`.
-> GLuint | `attribindex`.
-> GLuint | `bindingindex`.
-> m () |

glVertexArrayVertexAttribDivisorEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `vaobj`.
-> GLuint | `index`.
-> GLuint | `divisor`.
-> m () |

glVertexArrayVertexAttribFormatEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `vaobj`.
-> GLuint | `attribindex`.
-> GLint | `size`.
-> GLenum | `type` of type VertexAttribType.
-> GLboolean | `normalized` of type Boolean.
-> GLuint | `relativeoffset`.
-> m () |

glVertexArrayVertexAttribIFormatEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `vaobj`.
-> GLuint | `attribindex`.
-> GLint | `size`.
-> GLenum | `type` of type VertexAttribIType.
-> GLuint | `relativeoffset`.
-> m () |

glVertexArrayVertexAttribIOffsetEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `vaobj`.
-> GLuint | `buffer`.
-> GLuint | `index`.
-> GLint | `size`.
-> GLenum | `type` of type VertexAttribType.
-> GLsizei | `stride`.
-> GLintptr | `offset`.
-> m () |

glVertexArrayVertexAttribLFormatEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `vaobj`.
-> GLuint | `attribindex`.
-> GLint | `size`.
-> GLenum | `type` of type VertexAttribLType.
-> GLuint | `relativeoffset`.
-> m () |

glVertexArrayVertexAttribLOffsetEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `vaobj`.
-> GLuint | `buffer`.
-> GLuint | `index`.
-> GLint | `size`.
-> GLenum | `type` of type VertexAttribLType.
-> GLsizei | `stride`.
-> GLintptr | `offset` of type `BufferOffset`.
-> m () |

glVertexArrayVertexAttribOffsetEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `vaobj`.
-> GLuint | `buffer`.
-> GLuint | `index`.
-> GLint | `size`.
-> GLenum | `type` of type VertexAttribPointerType.
-> GLboolean | `normalized` of type Boolean.
-> GLsizei | `stride`.
-> GLintptr | `offset`.
-> m () |

glVertexArrayVertexBindingDivisorEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `vaobj`.
-> GLuint | `bindingindex`.
-> GLuint | `divisor`.
-> m () |

glVertexArrayVertexOffsetEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `vaobj`.
-> GLuint | `buffer`.
-> GLint | `size`.
-> GLenum | `type` of type VertexPointerType.
-> GLsizei | `stride`.
-> GLintptr | `offset`.
-> m () |